# frozen_string_literal: true

# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 20_190_706_002_615) do
  create_table 'roles', force: :cascade do |t|
    t.datetime 'created_at', null: false
    t.datetime 'updated_at', null: false
    t.integer 'site_id'
    t.integer 'usuarie_id'
    t.string 'rol'
    t.boolean 'temporal'
    t.index %w[site_id usuarie_id], name: 'index_roles_on_site_id_and_usuarie_id', unique: true
    t.index ['site_id'], name: 'index_roles_on_site_id'
    t.index ['usuarie_id'], name: 'index_roles_on_usuarie_id'
  end

  create_table 'sites', force: :cascade do |t|
    t.datetime 'created_at', null: false
    t.datetime 'updated_at', null: false
    t.string 'name'
    t.index ['name'], name: 'index_sites_on_name'
  end

  create_table 'usuaries', force: :cascade do |t|
    t.datetime 'created_at', null: false
    t.datetime 'updated_at', null: false
    t.string 'email', default: '', null: false
    t.string 'encrypted_password', default: '', null: false
    t.string 'reset_password_token'
    t.datetime 'reset_password_sent_at'
    t.datetime 'remember_created_at'
    t.string 'confirmation_token'
    t.datetime 'confirmed_at'
    t.datetime 'confirmation_sent_at'
    t.string 'unconfirmed_email'
    t.integer 'failed_attempts', default: 0, null: false
    t.string 'unlock_token'
    t.datetime 'locked_at'
    t.boolean 'acepta_politicas_de_privacidad', default: false
    t.string 'invitation_token'
    t.datetime 'invitation_created_at'
    t.datetime 'invitation_sent_at'
    t.datetime 'invitation_accepted_at'
    t.integer 'invitation_limit'
    t.string 'invited_by_type'
    t.integer 'invited_by_id'
    t.integer 'invitations_count', default: 0
    t.index ['confirmation_token'], name: 'index_usuaries_on_confirmation_token', unique: true
    t.index ['email'], name: 'index_usuaries_on_email', unique: true
    t.index ['invitation_token'], name: 'index_usuaries_on_invitation_token', unique: true
    t.index ['invitations_count'], name: 'index_usuaries_on_invitations_count'
    t.index ['invited_by_id'], name: 'index_usuaries_on_invited_by_id'
    t.index %w[invited_by_type invited_by_id], name: 'index_usuaries_on_invited_by_type_and_invited_by_id'
    t.index ['reset_password_token'], name: 'index_usuaries_on_reset_password_token', unique: true
    t.index ['unlock_token'], name: 'index_usuaries_on_unlock_token', unique: true
  end
end
