# frozen_string_literal: true

require File.expand_path('../config/environment', __dir__)
require 'rails/test_help'
require 'open3'

class ActiveSupport::TestCase
  # Resetear el repositorio a su estado original antes de leerlo
  def reset_git_repo(path)
    Dir.chdir(path) do
      Open3.popen3('git reset --hard') do |_, _, _, thread|
        # Wait for the process to finish
        thread.value
      end
    end
  end
end
